#include <gtest/gtest.h>
#include <json.hpp>
#include <httplib.h>
#include <Output.h>


using namespace mdd;

TEST(Output, setValue) {
    std::shared_ptr<Output> out_ptr = std::make_shared<Output>("TEST", 0, std::vector<double>{0});
    EXPECT_FLOAT_EQ(out_ptr->getValue()[0], 0.0);
    out_ptr->setValue(std::vector<double>{1});
    EXPECT_FLOAT_EQ(out_ptr->getValue()[0], 1.0);
}